Bug 183013 - Bad: gcc crashed when compiling xine-lib-1.1.1
Bad: gcc crashed when compiling xine-lib-1.1.1
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gcc (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jakub Jelinek
Depends On:
  Show dependency treegraph
Reported: 2006-02-25 05:07 EST by Bhaslinux
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: 3.4.5-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-15 12:26:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
the preprocessed temp o/p (169.46 KB, text/plain)
2006-02-25 05:09 EST, Bhaslinux
no flags Details

  None (edit)
Description Bhaslinux 2006-02-25 05:07:37 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686; en) Opera 8.52

Description of problem:
When compiling xine-lib-1.1.1 gcc crashes
the o/p of crash is something like this
 gcc -DHAVE_CONFIG_H -I. -I. -I../.. -I../.. -I../../include -I../../include -I
../../src -I../../src/xine-engine -I../../src/xine-engine -I../../src/xine-
utils -I../../src/input -I../../src/input -I../../lib -I/usr/X11R6/include -
mtune=pentiumpro -O3 -pipe -fomit-frame-pointer -falign-functions=4 -falign-
loops=4 -falign-jumps=4 -mpreferred-stack-boundary=2 -fexpensive-optimizations -
fschedule-insns2 -fno-strict-aliasing -ffast-math -finline-functions -Wall -
Wnested-externs -Wcast-align -Wchar-subscripts -Wmissing-declarations -Wmissing-
color.lo -MD -MP -MF .deps/color.Tpo -c color.c  -fPIC -DPIC -o .libs/color.o
color.c: In function `yuv444_to_yuy2_mmx':
color.c:464: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccwHP2yn.out file, please attach this to 
your bugreport.
make[3]: *** [color.lo] Error 1
make[3]: Leaving directory `/iso/tools/xine-lib-1.1.1/src/xine-utils'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/iso/tools/xine-lib-1.1.1/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/iso/tools/xine-lib-1.1.1'
make: *** [all] Error 2
[bcv@s1 xine-lib-1.1.1]$ 


Version-Release number of selected component (if applicable):
gcc version "gcc (GCC) 3.4.3 20041212 (Red Hat 3.4.3-9.EL4)"

How reproducible:

Steps to Reproduce:
1.configure xine in default manner  './configure --prefix=/usr/local'

Actual Results:  the compiler crashes with the o/p as given above

Expected Results:  it must have compiled and created .o file

Additional info:
Comment 1 Bhaslinux 2006-02-25 05:09:52 EST
Created attachment 125230 [details]
the preprocessed temp o/p

This is the attachemnt of the preprocessed output
as requested to be attached during the crash time
Comment 2 Jakub Jelinek 2006-03-15 12:26:57 EST
Can't reproduce with RHEL4 U3:
gcc -v; gcc -S -mtune=pentiumpro -mpreferred-stack-boundary=2 -O3 -Wall
-Wnested-externs -Wcast-align -Wchar-subscripts -Wmissing-declarations
-Wmissing-prototypes -fomit-frame-pointer -falign-functions=4 -falign-loops=4
-falign-jumps=4 -fexpensive-optimizations -fschedule-insns2 -fno-strict-aliasing
-ffast-math -finline-functions -fPIC 183013.i ; echo $?
Reading specs from /usr/lib/gcc/i386-redhat-linux/3.4.5/specs
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man
--infodir=/usr/share/info --enable-shared --enable-threads=posix
--disable-checking --with-system-zlib --enable-__cxa_atexit
--disable-libunwind-exceptions --enable-java-awt=gtk --host=i386-redhat-linux
Thread model: posix
gcc version 3.4.5 20051201 (Red Hat 3.4.5-2)

Note You need to log in before you can comment on or make changes to this bug.